﻿using System.Collections.Concurrent;
using Whereis.Utils;
public class Program {
    static void Main(string[] args) {

        Console.ForegroundColor = ConsoleColor.Red;
        if (args.Length == 0) {
            Console.WriteLine("Please specify a file to find or an option.");
            PrintAvailableOptions();
            return;
        } else if (args.Length > 1) {
            Console.WriteLine("Too many options.");
            return;
        }

        WhereisUtils utils = new WhereisUtils();

        utils.prepare();
        
        string fileName = Path.GetFileNameWithoutExtension(args[0]);
        string fileExtension = Path.GetExtension(args[0]);;
        string searchPath = "/";

        switch (args[0]) {
            case "help":
                PrintAvailableOptions();
                break;
        }

        Console.ResetColor();
        ConcurrentBag<string> files = utils.FindFiles(fileName, fileExtension, searchPath, maxDepth: 5);

        bool foundFiles = false;
        foreach (string file in files) {
            Console.WriteLine(file);
            foundFiles = true;
        }

        if (!foundFiles) {
            Console.WriteLine("No files found.");
        }

        static void PrintAvailableOptions() {
            String[] options = {
                "help",
                "Please specify a file to find"
            };

            Console.ResetColor();
            Console.WriteLine("usage: chksum [option] \nHere is a list of all available options:");
            foreach (String option in options) {
                Console.WriteLine("\t" + option);
            }
        }
    }
}